/*
 * Copyright 2000 Draagon Software, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Draagon Software, Inc.
 * Use is subject to license terms.
 *
 */

package com.draagon.wii.servlet;

import com.draagon.wii.*;
import com.draagon.wii.security.*;

public class ServletSite implements WIISite
{
    protected Object mAccess = null;
    protected SecuritySystem mSS = null;

    protected String mBase = null;
    protected String mName = null;

    protected ServletSite()
    {
    }

    @Override
    public void setSecuritySystem( SecuritySystem ss )
    {
      mSS = ss;
    }

    @Override
    public void setName( String name )
    {
        mName = name;
    }

    protected void setBase( String base )
    {
        mBase = base;
    }

    @Override
    public String getName()
    {
        return mName;
    }

    @Override
    public String getExternalURL( String url )
    {
      if ( mName.equals( "ROOT" ))
        return mBase + url;
      else if ( url.startsWith( "/" + mName )) 
        return mBase + url.substring( mName.length() + 1 );
      else
    	return mBase + url;
    }

    @Override
    public void setAccess( Object access )
    {
      mAccess = access;
    }

    @Override
    public boolean canAccess( WIIUser user )
    {
      if ( mSS != null && mAccess != null )
        return mSS.checkAccess( mAccess, user );
      else
        return true;
    }
}