
/**
 * Title:        Draagon Web Integrator<p>
 * Description:  Draagon Web Integrator is a web application integration framework.<p>
 * Copyright:    Copyright (c) Doug Mealing<p>
 * Company:      Draagon Software, Inc.<p>
 * @author Doug Mealing
 * @version 1.0
 */
package com.draagon.wii.ui;

import com.draagon.wii.*;

import java.io.*;
import org.w3c.dom.*;

public abstract class ButtonService extends UIService
{
  public ButtonService()
  {
  }


  /**
   * This method returns the requested user property string.
   *
   * @param node The XML DOM node to parse to retrieve the user property to
   *              return.
   * @exception  WIIException  This exception is not thrown when an error
   *                            occurs retrieving the user information or the
   *                            XML cannot be processed properly.
   * @return  The user property string to embed in the response.
   */
  public void process( Node node, WIIResponse res )
    throws IOException, WIIException
  {
    if ( node instanceof Element )
    {
      String label = ((Element) node ).getAttribute( "label" );
      String action = ((Element) node ).getAttribute( "action" );
      String size = ((Element) node ).getAttribute( "size" );

      drawButton( res, label, size, action );
    }
    else
      throw new WIIException( "Node was not an Element" );
  }

  public abstract void drawButton( WIIResponse res, String label, String size, String action )
    throws IOException, WIIException;
}