package com.draagon.wii.ui;

import com.draagon.wii.*;

import java.util.HashMap;

/**
 * Title:        Draagon Web Integrator
 * Description:  Draagon Web Integrator is a web application integration framework.
 * Copyright:    Copyright (c) Doug Mealing
 * Company:      Draagon Software, Inc.
 * @author Doug Mealing
 * @version 1.0
 */

public abstract class TemplateBase implements WIITemplate
{
  private String mFrameMode = WIITemplate.NONE;
  private HashMap<String,Object> mAttributes = new HashMap<String,Object>();

  public Object getAttribute( String name )
  {
    return mAttributes.get( name );
  }

  public void setAttribute( String name, Object value )
  {
    mAttributes.put( name, value );
  }

  public void removeAttribute( String name )
  {
    mAttributes.remove( name );
  }

  public void setFrameMode( String mode )
  {
    mFrameMode = mode;
  }

  public String getFrameMode()
  {
    return mFrameMode;
  }
}
